Create webhook
Create a webhook for the current workspace. The webhook will receive events for the specified topics.
POST
/webhooksAuthorization
AuthorizationBearer token · headerrequiredAPI key authentication. Generate an API key from your workspace settings.
Request body
requiredapplication/jsonnamestringrequiredThe name of the webhook
urlstring<uri>requiredThe URL that will receive webhook events
descriptionstringAn optional description for the webhook
topicsstring[]requiredThe event types this webhook should listen to
min items 1
headersobjectOptional custom headers to include in webhook requests
Responses
200
Webhook created
idstring<uuid>namestringurlstring<uri>topicsstring[]createdAtstring<date-time>400
Bad Request - Invalid input parameters
codestringmessagestringdataobjectShow propertiesHide properties
errorsobject401
Unauthorized - Missing or invalid API key
codestringmessagestring